<?php
/**
 * @package WordPress
 * @subpackage vice
 * @version 1.0.0
 * Carousel design fields
*/

namespace ViceElementor\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Core\Schemes\Typography;


add_action('elementor/element/before_section_end', function( $section, $section_id, $args ) {

	if( $section_id == 'vice_elementor_section_slider_global' ){
		

		$section->add_control(
			'autoplay_timeout',
			[
				'label' => esc_html__( 'Autoplay timeout', 'vice-elementor' ),
				'description' => esc_html__( '0 = disabled', 'vice-elementor' ),
				'type' => \Elementor\Controls_Manager::NUMBER,
				'min' => 0,
				'max' => 80000,
				'step' => 1000,
				'default' => 4000
			]
		);

		$section->add_control(
			'pause_on_hover',
			[
				'label' => esc_html__( 'Pause on hover', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'true',
				'return_value' => 'true',
			]
		);
		$section->add_control(
			'loop',
			[
				'label' => esc_html__( 'Loop', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'true',
				'return_value' => 'true',
			]
		);
		
		$section->add_control(
			'nav',
			[
				'label' => esc_html__( 'Arrows', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => esc_html__('Show', 'vice-elementor' ),
				'label_off' => esc_html__('Hide', 'vice-elementor' ),
				'return_value' => 'true',
				'default' => 'true'
			]
		);
		$section->add_control(
			'dots',
			[
				'label' => esc_html__( 'Dots', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => esc_html__('Show', 'vice-elementor' ),
				'label_off' => esc_html__('Hide', 'vice-elementor' ),
				'return_value' => 'true',
				'default' => 'true'
			]
		);
		$section->add_control(
			'fullheight',
			[
				'label' => esc_html__( 'Full height', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'true'
			]
		);
		$section->add_control(
			'fullwidth',
			[
				'label' => esc_html__( 'Full width', 'vice-elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'true'
			]
		);

	}
}, 10, 3 );