<?php
/**
 * @package WordPress
 * @subpackage vice
 * @version 1.0.0
 **/


if(!function_exists('vice_events_list')) {
	function vice_events_list($atts){

		/*
		 *	Defaults
		 * 	All parameters can be bypassed by same attribute in the shortcode
		 */
		extract( shortcode_atts( 
			array(
			'animation_3d' => false,
			'id' 			=> false,
			'post_type' 	=> 'event',
			'tax_filter' 	=> false,
			'query_event_filter' => false,
			'category' 		=> false,
			'orderby' 		=> 'date',
			'offset' 		=> 0,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'items_per_page'		=> '9',
			'order'					=> 'ASC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
		), $atts ) );
		$paged = 1;
		$list_id = md5( serialize($atts) );
		/**
		 * Add category parameters to query if any is set
		 */
		include( 'query-prep.php' );
		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );

		/**
		 * Output object start
		 */
		ob_start();

		/**
		 * Loop start
		 */
		if ( $wp_query->have_posts() ) :
			set_query_var( 'animation_3d', $animation_3d );
			?>
			<div id="<?php echo esc_attr( $list_id ); ?>" class="vice-container vice-events-list">
				<div class="row">
					<?php  
					while ( $wp_query->have_posts() ) : $wp_query->the_post();
						$post = $wp_query->post;
						setup_postdata( $post );
						?><div class="col-sm-12 col-md-12 col-lg-12"><?php
						get_template_part( 'template-parts/post/post-event' );
						?></div><?php  
					endwhile;
					// include 'helpers/loadmore.php';
					?>
				</div>
			</div>
			<?php

		else: 
			esc_html_e("Sorry, there is nothing for the moment.", "vice"); ?>
		<?php  
		endif; 
		wp_reset_postdata();

		/**
		 * Loop end
		 */
		
		return ob_get_clean();
	}
}

		



